Skip to content

Update app permissions

PATCH
/api/v1/apps/{app_name}/permissions
curl --request PATCH \
--url https://example.com/api/v1/apps/example/permissions \
--header 'Content-Type: application/json' \
--data '{ "access_control_list": [ { "user_name": "example", "group_name": "example", "service_principal_name": "example", "permission_level": "CAN_READ" } ] }'

Update permissions for an app.

app_name
required
App Name
string
Media typeapplication/json
AppPermissionsRequest

App permissions request model.

object
access_control_list
required
Access Control List

List of access control entries to set/update

Array<object>
AppAccessControlRequest

Request model for app access control entry.

object
user_name
Any of:
string
group_name
Any of:
string
service_principal_name
Any of:
string
permission_level
required
AppPermissionLevel

Permission level to grant

string
Allowed values: CAN_READ CAN_RUN CAN_MANAGE

Successful Response

Media typeapplication/json
AppPermissions

App permissions response model.

object
access_control_list
Access Control List

List of access control entries

Array<object>
AppAccessControl

Response model for app access control entry.

object
user_name
Any of:
string
group_name
Any of:
string
service_principal_name
Any of:
string
display_name
Any of:
string
all_permissions
All Permissions

All permissions for this principal

Array<object>
object
key
additional properties
any
object_id
Any of:
string
object_type
Any of:
string
Examplegenerated
{
"access_control_list": [
{
"user_name": "example",
"group_name": "example",
"service_principal_name": "example",
"display_name": "example",
"all_permissions": [
{}
]
}
],
"object_id": "example",
"object_type": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}